#pragma once

#include "Effect.h"

class RolleEffect : public Effect
{
private:
    Richtung r;
    Resource *annimation;

public:
    RolleEffect( ResourceRegistry *zResources, Spieler *zSpieler, Richtung r );
    ~RolleEffect();
    bool istSpielerBeweglich( Richtung r ) const override;
    bool istSpielerVerwundbar( Richtung r ) const override;
    void move( Richtung r, double time ) override;
    bool istGegenstandErlaubt( GegenstandTyp typ ) const override;
    Resource *getCurrentResource() override;
};