#include "Schild.h"
#include "Spieler.h"


SchildEffect::SchildEffect( ResourceRegistry *zResources, Spieler *zSpieler )
    : Effect( zSpieler, 5.f + ( 5.f / 100.f ) * zSpieler->getAbklingZeitVerringerung() )
{
    bild = zResources->zResource( R_SCHILD, 0 )->getImage( 0 );
}

SchildEffect::~SchildEffect()
{
    bild->release();
}

bool SchildEffect::istSpielerVerwundbar( Richtung r ) const
{
    return 0;
}

void SchildEffect::renderSpieler( Bild &rObj )
{
    if( rObj.setDrawOptions( (int)zSpieler->getX(), (int)zSpieler->getY(), (int)zSpieler->getWidth(), (int)zSpieler->getHeight() ) )
    {
        rObj.alphaBildSkall( 0, (int)zSpieler->getHeight() / 2, (int)zSpieler->getWidth(), (int)zSpieler->getHeight() / 2, *bild );
        rObj.releaseDrawOptions();
    }
}