#include "Team.h"


Team::Team( int id, int maxSpielerAnzahl, int punkte, int maxWiederbelebungZeit, int farbe, const char *name )
    : Variable( TEAM )
{
    teamNummer = id;
    this->maxSpielerAnzahl = maxSpielerAnzahl;
    spielerAnzahl = 0;
    this->punkte = punkte;
    kills = 0;
    tode = 0;
    this->maxWiederbelebungsZeit = maxWiederbelebungsZeit;
    this->farbe = farbe;
    this->name = name;
}

void Team::setMaxWiederbelebungsZeit( float sekunden )
{
    this->maxWiederbelebungsZeit = sekunden;
}

void Team::addSpieler()
{
    spielerAnzahl++;
}

void Team::removeSpieler()
{
    spielerAnzahl--;
}

void Team::addTod()
{
    punkte -= 4;
    maxWiederbelebungsZeit++;
    tode++;
}

void Team::addKill()
{
    punkte += 2;
    kills++;
}

void Team::addPunkte( int punkte )
{
    this->punkte += punkte;
}

void Team::setPunkte( int punkte )
{
    this->punkte = punkte;
}

Text Team::getName() const
{
    return name;
}

float Team::getMaxWiederbelebungsZeit() const
{
    return maxWiederbelebungsZeit;
}

int Team::getTode() const
{
    return tode;
}

int Team::getKills() const
{
    return kills;
}

int Team::getPunkte() const
{
    return punkte;
}

int Team::getTeamNummer() const
{
    return teamNummer;
}

int Team::getSpielerAnzahl() const
{
    return spielerAnzahl;
}

int Team::getFarbe() const
{
    return farbe;
}